<center><a href="dlinew.c">Actual source code: dlinew.c</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:17:33+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a><strong><font color="#228B22">#define PETSC_DLL</font></strong>
<a name="line2">  2: </a><font color="#B22222">/*</font>
<a name="line3">  3: </a><font color="#B22222">       Provides the calling sequences for all the basic <A href="../../../../docs/manualpages/Draw/PetscDraw.html#PetscDraw">PetscDraw</A> routines.</font>
<a name="line4">  4: </a><font color="#B22222">*/</font>
<a name="line5"> 5: </a> #include <A href="../../../../src/sys/draw/drawimpl.h.html">src/sys/draw/drawimpl.h</A>

<a name="line9">  9: </a><font color="#B22222">/*@</font>
<a name="line10"> 10: </a><font color="#B22222">   <A href="../../../../docs/manualpages/Draw/PetscDrawLineSetWidth.html#PetscDrawLineSetWidth">PetscDrawLineSetWidth</A> - Sets the line width for future draws.  The width is</font>
<a name="line11"> 11: </a><font color="#B22222">   relative to the user coordinates of the window; 0.0 denotes the natural</font>
<a name="line12"> 12: </a><font color="#B22222">   width; 1.0 denotes the entire viewport. </font>

<a name="line14"> 14: </a><font color="#B22222">   Not collective</font>

<a name="line16"> 16: </a><font color="#B22222">   Input Parameters:</font>
<a name="line17"> 17: </a><font color="#B22222">+  draw - the drawing context</font>
<a name="line18"> 18: </a><font color="#B22222">-  width - the width in user coordinates</font>

<a name="line20"> 20: </a><font color="#B22222">   Level: advanced</font>

<a name="line22"> 22: </a><font color="#B22222">   Concepts: line^width</font>

<a name="line24"> 24: </a><font color="#B22222">.seealso:  <A href="../../../../docs/manualpages/Draw/PetscDrawLineGetWidth.html#PetscDrawLineGetWidth">PetscDrawLineGetWidth</A>()</font>
<a name="line25"> 25: </a><font color="#B22222">@*/</font>
<a name="line26"> 26: </a><strong><font color="#4169E1"><a name="PetscDrawLineSetWidth"></a><A href="../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../../../../docs/manualpages/Draw/PetscDrawLineSetWidth.html#PetscDrawLineSetWidth">PetscDrawLineSetWidth</A>(<A href="../../../../docs/manualpages/Draw/PetscDraw.html#PetscDraw">PetscDraw</A> draw,<A href="../../../../docs/manualpages/Sys/PetscReal.html#PetscReal">PetscReal</A> width)</font></strong>
<a name="line27"> 27: </a>{
<a name="line29"> 29: </a>  <A href="../../../../docs/manualpages/Sys/PetscTruth.html#PetscTruth">PetscTruth</A> isdrawnull;

<a name="line33"> 33: </a>  <A href="../../../../docs/manualpages/Sys/PetscTypeCompare.html#PetscTypeCompare">PetscTypeCompare</A>((<A href="../../../../docs/manualpages/Sys/PetscObject.html#PetscObject">PetscObject</A>)draw,PETSC_DRAW_NULL,&amp;isdrawnull);
<a name="line34"> 34: </a>  <font color="#4169E1">if</font> (isdrawnull) <font color="#4169E1">return</font>(0);
<a name="line35"> 35: </a>  (*draw-&gt;ops-&gt;linesetwidth)(draw,width);
<a name="line36"> 36: </a>  <font color="#4169E1">return</font>(0);
<a name="line37"> 37: </a>}
</pre>
</body>

</html>
